Makefile.in 12 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386
  1. # Makefile.in generated by automake 1.7 from Makefile.am.
  2. # @configure_input@
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #----------------------------------------------------------------
  14. #
  15. # Makefile.am
  16. #
  17. # Automake source file for the getFilePreview widget package
  18. #
  19. # This file, along with aclocal, configure.ac autoconf,
  20. # and automake can produce a highly functional configuration
  21. # script and Makefile.
  22. #
  23. # Bob Techentin
  24. # January 22, 2004
  25. # Copyright 2004 Mayo Foundation. All Rights Reserved
  26. #
  27. # $Id: Makefile.am,v 1.2 2004/04/23 16:22:40 techenti Exp $
  28. #
  29. #----------------------------------------------------------------
  30. srcdir = @srcdir@
  31. top_srcdir = @top_srcdir@
  32. VPATH = @srcdir@
  33. pkgdatadir = $(datadir)/@PACKAGE@
  34. pkgincludedir = $(includedir)/@PACKAGE@
  35. top_builddir = .
  36. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  37. INSTALL = @INSTALL@
  38. install_sh_DATA = $(install_sh) -c -m 644
  39. install_sh_PROGRAM = $(install_sh) -c
  40. install_sh_SCRIPT = $(install_sh) -c
  41. INSTALL_HEADER = $(INSTALL_DATA)
  42. transform = $(program_transform_name)
  43. NORMAL_INSTALL = :
  44. PRE_INSTALL = :
  45. POST_INSTALL = :
  46. NORMAL_UNINSTALL = :
  47. PRE_UNINSTALL = :
  48. POST_UNINSTALL = :
  49. #---------------------------------------------------------------
  50. # Define an installation directory that includes
  51. # the version number (from AC_INIT) like "getFilePreview1.0"
  52. #---------------------------------------------------------------
  53. pkglibdir = $(libdir)/$(PACKAGE)$(PACKAGE_VERSION)
  54. ACLOCAL = @ACLOCAL@
  55. AMTAR = @AMTAR@
  56. AUTOCONF = @AUTOCONF@
  57. AUTOHEADER = @AUTOHEADER@
  58. AUTOMAKE = @AUTOMAKE@
  59. AWK = @AWK@
  60. CYGPATH_W = @CYGPATH_W@
  61. DEFS = @DEFS@
  62. ECHO_C = @ECHO_C@
  63. ECHO_N = @ECHO_N@
  64. ECHO_T = @ECHO_T@
  65. INSTALL_DATA = @INSTALL_DATA@
  66. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  67. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  68. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  69. LIBS = @LIBS@
  70. LTLIBOBJS = @LTLIBOBJS@
  71. MAKEINFO = @MAKEINFO@
  72. PACKAGE = @PACKAGE@
  73. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  74. PACKAGE_NAME = @PACKAGE_NAME@
  75. PACKAGE_STRING = @PACKAGE_STRING@
  76. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  77. PACKAGE_VERSION = @PACKAGE_VERSION@
  78. PATH_SEPARATOR = @PATH_SEPARATOR@
  79. SET_MAKE = @SET_MAKE@
  80. SHELL = @SHELL@
  81. STRIP = @STRIP@
  82. VERSION = @VERSION@
  83. ac_ct_STRIP = @ac_ct_STRIP@
  84. bindir = @bindir@
  85. build_alias = @build_alias@
  86. datadir = @datadir@
  87. exec_prefix = @exec_prefix@
  88. host_alias = @host_alias@
  89. includedir = @includedir@
  90. infodir = @infodir@
  91. install_sh = @install_sh@
  92. libdir = @libdir@
  93. libexecdir = @libexecdir@
  94. localstatedir = @localstatedir@
  95. mandir = @mandir@
  96. oldincludedir = @oldincludedir@
  97. prefix = @prefix@
  98. program_transform_name = @program_transform_name@
  99. sbindir = @sbindir@
  100. sharedstatedir = @sharedstatedir@
  101. sysconfdir = @sysconfdir@
  102. target_alias = @target_alias@
  103. #----------------------------------------------------------------
  104. # Just for the record, this isn't a GNU project, and
  105. # doesn't have all the support files like LICENSE and
  106. # ChangeLog. We're also compiling in a subdirectory, so
  107. # we supply a couple of options to automake.
  108. #
  109. # Note that this package _does_ require some of the support
  110. # files like install-sh, so if you're running aclocal,
  111. # autoconf, and automake for the first time, you'll need to
  112. # supply command line switches --add-missing --copy.
  113. #----------------------------------------------------------------
  114. AUTOMAKE_OPTIONS = foreign
  115. #---------------------------------------------------------------
  116. # tcl/tk scripts that may need to be installed.
  117. #---------------------------------------------------------------
  118. pkglib_SCRIPTS = \
  119. getFilePreview.tcl \
  120. pkgIndex.tcl
  121. subdir = .
  122. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  123. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  124. CONFIG_CLEAN_FILES =
  125. SCRIPTS = $(pkglib_SCRIPTS)
  126. DIST_SOURCES =
  127. DIST_COMMON = ../install-sh Makefile.am Makefile.in aclocal.m4 \
  128. configure configure.ac install-sh missing mkinstalldirs
  129. all: all-am
  130. .SUFFIXES:
  131. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  132. configure.lineno
  133. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  134. cd $(top_srcdir) && \
  135. $(AUTOMAKE) --foreign Makefile
  136. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  137. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  138. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  139. $(SHELL) ./config.status --recheck
  140. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  141. cd $(srcdir) && $(AUTOCONF)
  142. $(ACLOCAL_M4): configure.ac
  143. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  144. pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
  145. install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
  146. @$(NORMAL_INSTALL)
  147. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  148. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  149. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  150. if test -f $$d$$p; then \
  151. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  152. echo " $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f"; \
  153. $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f; \
  154. else :; fi; \
  155. done
  156. uninstall-pkglibSCRIPTS:
  157. @$(NORMAL_UNINSTALL)
  158. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  159. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  160. echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
  161. rm -f $(DESTDIR)$(pkglibdir)/$$f; \
  162. done
  163. uninstall-info-am:
  164. tags: TAGS
  165. TAGS:
  166. ctags: CTAGS
  167. CTAGS:
  168. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  169. top_distdir = .
  170. distdir = $(PACKAGE)-$(VERSION)
  171. am__remove_distdir = \
  172. { test ! -d $(distdir) \
  173. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  174. && rm -fr $(distdir); }; }
  175. GZIP_ENV = --best
  176. distuninstallcheck_listfiles = find . -type f -print
  177. distcleancheck_listfiles = find . -type f -print
  178. distdir: $(DISTFILES)
  179. $(am__remove_distdir)
  180. mkdir $(distdir)
  181. $(mkinstalldirs) $(distdir)/..
  182. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  183. list='$(DISTFILES)'; for file in $$list; do \
  184. case $$file in \
  185. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  186. esac; \
  187. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  188. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  189. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  190. dir="/$$dir"; \
  191. $(mkinstalldirs) "$(distdir)$$dir"; \
  192. else \
  193. dir=''; \
  194. fi; \
  195. if test -d $$d/$$file; then \
  196. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  197. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  198. fi; \
  199. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  200. else \
  201. test -f $(distdir)/$$file \
  202. || cp -p $$d/$$file $(distdir)/$$file \
  203. || exit 1; \
  204. fi; \
  205. done
  206. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  207. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  208. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  209. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  210. || chmod -R a+r $(distdir)
  211. dist-gzip: distdir
  212. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  213. $(am__remove_distdir)
  214. dist dist-all: distdir
  215. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  216. $(am__remove_distdir)
  217. # This target untars the dist file and tries a VPATH configuration. Then
  218. # it guarantees that the distribution is self-contained by making another
  219. # tarfile.
  220. distcheck: dist
  221. $(am__remove_distdir)
  222. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  223. chmod -R a-w $(distdir); chmod a+w $(distdir)
  224. mkdir $(distdir)/=build
  225. mkdir $(distdir)/=inst
  226. chmod a-w $(distdir)
  227. dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
  228. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  229. && $(mkinstalldirs) $$dc_destdir \
  230. && cd $(distdir)/=build \
  231. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  232. $(DISTCHECK_CONFIGURE_FLAGS) \
  233. && $(MAKE) $(AM_MAKEFLAGS) \
  234. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  235. && $(MAKE) $(AM_MAKEFLAGS) check \
  236. && $(MAKE) $(AM_MAKEFLAGS) install \
  237. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  238. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  239. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  240. distuninstallcheck \
  241. && chmod -R a-w "$$dc_install_base" \
  242. && ({ $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  243. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  244. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  245. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  246. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  247. && rm -rf "$$dc_destdir" \
  248. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  249. && rm -f $(distdir).tar.gz \
  250. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  251. $(am__remove_distdir)
  252. @echo "$(distdir).tar.gz is ready for distribution" | \
  253. sed 'h;s/./=/g;p;x;p;x'
  254. distuninstallcheck:
  255. cd $(distuninstallcheck_dir) \
  256. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  257. || { echo "ERROR: files left after uninstall:" ; \
  258. if test -n "$(DESTDIR)"; then \
  259. echo " (check DESTDIR support)"; \
  260. fi ; \
  261. $(distuninstallcheck_listfiles) ; \
  262. exit 1; } >&2
  263. distcleancheck: distclean
  264. if test '$(srcdir)' = . ; then \
  265. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  266. exit 1 ; \
  267. fi
  268. test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  269. || { echo "ERROR: files left in build directory after distclean:" ; \
  270. $(distcleancheck_listfiles) ; \
  271. exit 1; } >&2
  272. check-am: all-am
  273. check: check-am
  274. all-am: Makefile $(SCRIPTS)
  275. installdirs:
  276. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  277. install: install-am
  278. install-exec: install-exec-am
  279. install-data: install-data-am
  280. uninstall: uninstall-am
  281. install-am: all-am
  282. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  283. installcheck: installcheck-am
  284. install-strip:
  285. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  286. INSTALL_STRIP_FLAG=-s \
  287. `test -z '$(STRIP)' || \
  288. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  289. mostlyclean-generic:
  290. clean-generic:
  291. distclean-generic:
  292. -rm -f Makefile $(CONFIG_CLEAN_FILES)
  293. maintainer-clean-generic:
  294. @echo "This command is intended for maintainers to use"
  295. @echo "it deletes files that may require special tools to rebuild."
  296. clean: clean-am
  297. clean-am: clean-generic mostlyclean-am
  298. distclean: distclean-am
  299. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  300. distclean-am: clean-am distclean-generic
  301. dvi: dvi-am
  302. dvi-am:
  303. info: info-am
  304. info-am:
  305. install-data-am:
  306. install-exec-am: install-pkglibSCRIPTS
  307. install-info: install-info-am
  308. install-man:
  309. installcheck-am:
  310. maintainer-clean: maintainer-clean-am
  311. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  312. -rm -rf autom4te.cache
  313. maintainer-clean-am: distclean-am maintainer-clean-generic
  314. mostlyclean: mostlyclean-am
  315. mostlyclean-am: mostlyclean-generic
  316. pdf: pdf-am
  317. pdf-am:
  318. ps: ps-am
  319. ps-am:
  320. uninstall-am: uninstall-info-am uninstall-pkglibSCRIPTS
  321. .PHONY: all all-am check check-am clean clean-generic dist dist-all \
  322. dist-gzip distcheck distclean distclean-generic distcleancheck \
  323. distdir distuninstallcheck dvi dvi-am info info-am install \
  324. install-am install-data install-data-am install-exec \
  325. install-exec-am install-info install-info-am install-man \
  326. install-pkglibSCRIPTS install-strip installcheck \
  327. installcheck-am installdirs maintainer-clean \
  328. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  329. pdf-am ps ps-am uninstall uninstall-am uninstall-info-am \
  330. uninstall-pkglibSCRIPTS
  331. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  332. # Otherwise a system limit (for SysV at least) may be exceeded.
  333. .NOEXPORT: